Test whether the task is currently running

- « GearmanTask::isKnown

- GearmanTask::jobHandle »

- PHP Manual
- GearmanTask
- Test whether the task is currently running

# GearmanTask::isRunning

(PECL gearman >= 0.5.0)

GearmanTask::isRunning — Test whether the task is currently running

### Description

public GearmanTask::isRunning(): bool

Indicates whether or not this task is currently running.

### Parameters

This function has no parameters.

### Return Values

`true` if the task is running, `false` otherwise.